#!/bin/sh

# This script can be used to start WebLogic Server. 

. ./setEnv.sh

echo Running startWebLogic
echo PATH=$PATH
echo CLASSPATH=$CLASSPATH
PRIOCNTL="/usr/bin/priocntl -e -c FX"

set -x
"$JAVA_HOME/bin/java" -classpath $CLASSPATH weblogic.utils.Versions
$PRIOCNTL "$JAVA_HOME/bin/java" $JAVA_OPTIONS -showversion -classpath $CLASSPATH -Dweblogic.Name=$WL_SERVER -Dbea.home="$WL_HOME/.." -Dweblogic.management.username=$WL_USER -Dweblogic.management.password=$WL_PW -Dweblogic.ProductionModeEnabled=$STARTMODE -Djava.security.policy="$WL_HOME/lib/weblogic.policy" $WL_OPTIONS weblogic.Server
set +x
