#!/bin/sh

# This script can be used to start WebLogic Server. 

. ./setEnv.sh

if [ "x$1" = "x-?" ]
then
   echo "Usage: startWebLogic.sh [SERVER_NAME]"
   echo "       E.G. startWebLogic.sh specserver-1"
   exit 2
fi

if [ $# -eq 0 ]
then
   SERVER_NAME=${WL_SERVER}
else
   SERVER_NAME=$1
fi

PRIOCNTL="/usr/bin/priocntl -e -c FX"
echo Running startWebLogic
echo PATH=$PATH
echo CLASSPATH=$CLASSPATH
set -x
"$JAVA_HOME/bin/java" -classpath $CLASSPATH weblogic.utils.Versions
$PRIOCNTL "$JAVA_HOME/bin/java" $JAVA_OPTIONS -showversion -classpath $CLASSPATH -Dweblogic.Name=$SERVER_NAME -Dbea.home="$WL_HOME/.." -Dweblogic.management.username=$WL_USER -Dweblogic.management.password=$WL_PW -Dweblogic.ProductionModeEnabled=$STARTMODE -Djava.security.policy="$WL_HOME/lib/weblogic.policy" $WL_OPTIONS weblogic.Server
set +x
