#!/bin/bash

NOW=`date +%Y-%m-%d-%H%M%S`
HERE=`hostname`
DIR=/export/home/db_logs/${HERE}-${NOW}
mkdir $DIR
mv /export/home/oracle/app/oracle/diag/asm/+asm/+ASM/trace/alert_+ASM.log  /export/home/db_logs/${HERE}-${NOW}/.
mv  /export/home/oracle/app/oracle/diag/rdbms/specdb/specdb/trace/alert_specdb.log /export/home/db_logs/${HERE}-${NOW}
touch /export/home/oracle/app/oracle/diag/asm/+asm/+ASM/trace/alert_+ASM.log
touch /export/home/oracle/app/oracle/diag/rdbms/specdb/specdb/trace/alert_specdb.log
chown oracle:dba  /export/home/oracle/app/oracle/diag/asm/+asm/+ASM/trace/alert_+ASM.log
chown oracle:dba /export/home/oracle/app/oracle/diag/rdbms/specdb/specdb/trace/alert_specdb.log

# Startup ASM
. ~/.bashrc_asm
crsctl start resource -all
sqlplus / as sysasm << EOF
startup
exit
EOF

# Startup DBMS
. ~/.bashrc_db
sqlplus / as sysdba << EOF
startup
exit
EOF

# Start the listener
lsnrctl start 
